/**
 *
 * @param id
 * @param startingPoint
 */
export function getOwnerElement(id, startingPoint) {
    let element = startingPoint;
    do {
        element = element.parentNode;
    } while (element &&
        element.nodeType !== Node.DOCUMENT_FRAGMENT_NODE &&
        element.nodeType !== Node.DOCUMENT_NODE);
    return element === null || element === void 0 ? void 0 : element.getElementById(id);
}
